<?xml version="1.0" encoding="ISO-8859-1"?>
<ClassTemplate>
<Header>
  <![CDATA[
<script language="vb" runat="server">
<%%ClassAttribute%%> _
Public Class %%ClassName%%
Inherits WebFoundations.WFForms.Toolbox.Entity.ValueObject
Private strGUID As String
Private strParentGUID as String
<FieldName("GUID"),DBType(WebFoundations.Providers.DAControls.DATypes.Varchar),IsNotNull(),Size(36)> _
        Public Property GUID() As System.String
            Get
                Return (Me.strGUID)
            End Get
            Set(ByVal Value As System.String)
                Me.strGUID = Value
            End Set
        End Property
<FieldName("ParentGUID"),DBType(WebFoundations.Providers.DAControls.DATypes.Varchar),IsNotNull(),Size(36)> _
        Public Property ParentGUID() As System.String
            Get
                Return (Me.strParentGUID)
            End Get
            Set(ByVal Value As System.String)
                Me.strParentGUID = Value
            End Set
        End Property        
]]></Header>
<ItemPrivate>
<![CDATA[Private %%PrivateName%% As %%PropertyType%%]]>
</ItemPrivate>
<ItemProperty>
<![CDATA[<%%PropertyAttribute%%> _
        Public Property %%PropertyName%%() As %%PropertyType%%
            Get
                Return (Me.%%PrivateName%%)
            End Get
            Set(ByVal Value As %%PropertyType%%)
                Me.%%PrivateName%% = Value
            End Set
        End Property]]>
</ItemProperty>
<Footer>
<![CDATA[
End Class
</script>
]]>
</Footer>
</ClassTemplate>